// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		2D076756266DF8E300E64472 /* PQServerProtocalView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2D076755266DF8E300E64472 /* PQServerProtocalView.swift */; };
		2D076758266E08E700E64472 /* MVHomeController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2D076757266E08E700E64472 /* MVHomeController.swift */; };
		2D1EC138266B4F4900CBACE4 /* MVThirdApiUtil.swift in Sources */ = {isa = PBXBuildFile; fileRef = 2D1EC137266B4F4900CBACE4 /* MVThirdApiUtil.swift */; };
		4112DD832669BFA600A5AFD9 /* MVBanner.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4112DD822669BFA600A5AFD9 /* MVBanner.swift */; };
		4112DD862669BFFA00A5AFD9 /* MVBannerFlowLayout.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4112DD852669BFFA00A5AFD9 /* MVBannerFlowLayout.swift */; };
		4112DD912669C11C00A5AFD9 /* MVBannerCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4112DD902669C11C00A5AFD9 /* MVBannerCell.swift */; };
		4144BE31266F128E00ABBDFA /* PQBandingPhoneController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4144BE30266F128E00ABBDFA /* PQBandingPhoneController.swift */; };
		4149C8932669FE6F0055CAA2 /* MVTagsCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4149C8922669FE6F0055CAA2 /* MVTagsCell.swift */; };
		417D868C266A2E8400DA2444 /* MVHomeViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 417D868B266A2E8400DA2444 /* MVHomeViewModel.swift */; };
		417D86A4266A375D00DA2444 /* PQConfig.plist in Resources */ = {isa = PBXBuildFile; fileRef = 417D86A3266A375D00DA2444 /* PQConfig.plist */; };
		417D86A7266A3CC900DA2444 /* MVHotVideoModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 417D86A6266A3CC900DA2444 /* MVHotVideoModel.swift */; };
		418532302665342100DCA2C1 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4185322F2665342100DCA2C1 /* AppDelegate.swift */; };
		418532392665342200DCA2C1 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 418532382665342200DCA2C1 /* Assets.xcassets */; };
		41CA6E5E266782EC00874B19 /* MVBaseController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6E5D266782EC00874B19 /* MVBaseController.swift */; };
		41CA6E662667887C00874B19 /* MVMineController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6E652667887C00874B19 /* MVMineController.swift */; };
		41CA6E69266788C000874B19 /* MVLoginController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6E68266788C000874B19 /* MVLoginController.swift */; };
		41CA6E6C266788F700874B19 /* MVPlayerConntroller.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6E6B266788F700874B19 /* MVPlayerConntroller.swift */; };
		41CA6E702667953700874B19 /* MVSettingController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6E6F2667953700874B19 /* MVSettingController.swift */; };
		41CA6F4B26689F4400874B19 /* PQMineViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6F4A26689F4400874B19 /* PQMineViewModel.swift */; };
		41CA6F782668B80D00874B19 /* PQPhoneLoginController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 41CA6F772668B80D00874B19 /* PQPhoneLoginController.swift */; };
		94FE06D694DF52C85DEDA82B /* Pods_MusicVideoPlus.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3FA19A38D145C54301B3CD85 /* Pods_MusicVideoPlus.framework */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		2D076755266DF8E300E64472 /* PQServerProtocalView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PQServerProtocalView.swift; sourceTree = "<group>"; };
		2D076757266E08E700E64472 /* MVHomeController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MVHomeController.swift; sourceTree = "<group>"; };
		2D1EC137266B4F4900CBACE4 /* MVThirdApiUtil.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVThirdApiUtil.swift; sourceTree = "<group>"; };
		3FA19A38D145C54301B3CD85 /* Pods_MusicVideoPlus.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_MusicVideoPlus.framework; sourceTree = BUILT_PRODUCTS_DIR; };
		4112DCF02668C45B00A5AFD9 /* MusicVideoPlus.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = MusicVideoPlus.entitlements; sourceTree = "<group>"; };
		4112DD492668D6A600A5AFD9 /* MusicVideoPlus-Bridging-Header.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = "MusicVideoPlus-Bridging-Header.h"; sourceTree = "<group>"; };
		4112DD822669BFA600A5AFD9 /* MVBanner.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVBanner.swift; sourceTree = "<group>"; };
		4112DD852669BFFA00A5AFD9 /* MVBannerFlowLayout.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVBannerFlowLayout.swift; sourceTree = "<group>"; };
		4112DD902669C11C00A5AFD9 /* MVBannerCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = MVBannerCell.swift; sourceTree = "<group>"; };
		4144BE30266F128E00ABBDFA /* PQBandingPhoneController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PQBandingPhoneController.swift; sourceTree = "<group>"; };
		4149C8922669FE6F0055CAA2 /* MVTagsCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVTagsCell.swift; sourceTree = "<group>"; };
		417D868B266A2E8400DA2444 /* MVHomeViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVHomeViewModel.swift; sourceTree = "<group>"; };
		417D86A3266A375D00DA2444 /* PQConfig.plist */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = text.plist.xml; path = PQConfig.plist; sourceTree = "<group>"; };
		417D86A6266A3CC900DA2444 /* MVHotVideoModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVHotVideoModel.swift; sourceTree = "<group>"; };
		4185322C2665342100DCA2C1 /* MusicVideoPlus.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MusicVideoPlus.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4185322F2665342100DCA2C1 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		418532382665342200DCA2C1 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		4185323D2665342200DCA2C1 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		41CA6E5D266782EC00874B19 /* MVBaseController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVBaseController.swift; sourceTree = "<group>"; };
		41CA6E652667887C00874B19 /* MVMineController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVMineController.swift; sourceTree = "<group>"; };
		41CA6E68266788C000874B19 /* MVLoginController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVLoginController.swift; sourceTree = "<group>"; };
		41CA6E6B266788F700874B19 /* MVPlayerConntroller.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVPlayerConntroller.swift; sourceTree = "<group>"; };
		41CA6E6F2667953700874B19 /* MVSettingController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MVSettingController.swift; sourceTree = "<group>"; };
		41CA6F4A26689F4400874B19 /* PQMineViewModel.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PQMineViewModel.swift; sourceTree = "<group>"; };
		41CA6F772668B80D00874B19 /* PQPhoneLoginController.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PQPhoneLoginController.swift; sourceTree = "<group>"; };
		BA41A7982C015630B0037270 /* Pods-MusicVideoPlus.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MusicVideoPlus.debug.xcconfig"; path = "Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus.debug.xcconfig"; sourceTree = "<group>"; };
		FA6E2A72ECD6573604333FD8 /* Pods-MusicVideoPlus.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-MusicVideoPlus.release.xcconfig"; path = "Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus.release.xcconfig"; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		418532292665342100DCA2C1 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				94FE06D694DF52C85DEDA82B /* Pods_MusicVideoPlus.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		2D076754266DF8C000E64472 /* Views */ = {
			isa = PBXGroup;
			children = (
				2D076755266DF8E300E64472 /* PQServerProtocalView.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		2D1EC136266B4F3300CBACE4 /* Utils */ = {
			isa = PBXGroup;
			children = (
				2D1EC137266B4F4900CBACE4 /* MVThirdApiUtil.swift */,
			);
			name = Utils;
			path = Modules/Utils;
			sourceTree = "<group>";
		};
		4112DD812669BF8900A5AFD9 /* Banner */ = {
			isa = PBXGroup;
			children = (
				4112DD822669BFA600A5AFD9 /* MVBanner.swift */,
				4112DD852669BFFA00A5AFD9 /* MVBannerFlowLayout.swift */,
			);
			path = Banner;
			sourceTree = "<group>";
		};
		418532232665342100DCA2C1 = {
			isa = PBXGroup;
			children = (
				4185322E2665342100DCA2C1 /* MusicVideoPlus */,
				4185322D2665342100DCA2C1 /* Products */,
				6308E2A5050F07FDED653CB8 /* Pods */,
				7C94A5F768CA416867AAA23A /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		4185322D2665342100DCA2C1 /* Products */ = {
			isa = PBXGroup;
			children = (
				4185322C2665342100DCA2C1 /* MusicVideoPlus.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		4185322E2665342100DCA2C1 /* MusicVideoPlus */ = {
			isa = PBXGroup;
			children = (
				417D86A3266A375D00DA2444 /* PQConfig.plist */,
				4112DCF02668C45B00A5AFD9 /* MusicVideoPlus.entitlements */,
				41CA6E39266782C900874B19 /* Classes */,
				418532382665342200DCA2C1 /* Assets.xcassets */,
				4185323D2665342200DCA2C1 /* Info.plist */,
				4185322F2665342100DCA2C1 /* AppDelegate.swift */,
				4112DD492668D6A600A5AFD9 /* MusicVideoPlus-Bridging-Header.h */,
			);
			path = MusicVideoPlus;
			sourceTree = "<group>";
		};
		41CA6E39266782C900874B19 /* Classes */ = {
			isa = PBXGroup;
			children = (
				2D1EC136266B4F3300CBACE4 /* Utils */,
				41CA6E3A266782C900874B19 /* Vendors */,
				41CA6E3B266782C900874B19 /* Enums */,
				41CA6E3D266782C900874B19 /* Modules */,
				41CA6E5C266782C900874B19 /* Categorys */,
			);
			path = Classes;
			sourceTree = "<group>";
		};
		41CA6E3A266782C900874B19 /* Vendors */ = {
			isa = PBXGroup;
			children = (
			);
			path = Vendors;
			sourceTree = "<group>";
		};
		41CA6E3B266782C900874B19 /* Enums */ = {
			isa = PBXGroup;
			children = (
			);
			path = Enums;
			sourceTree = "<group>";
		};
		41CA6E3D266782C900874B19 /* Modules */ = {
			isa = PBXGroup;
			children = (
				41CA6E52266782C900874B19 /* Base */,
				41CA6E3E266782C900874B19 /* Home */,
				41CA6E43266782C900874B19 /* Mine */,
				41CA6E48266782C900874B19 /* Setting */,
				41CA6E4D266782C900874B19 /* Login */,
				41CA6E57266782C900874B19 /* Player */,
			);
			path = Modules;
			sourceTree = "<group>";
		};
		41CA6E3E266782C900874B19 /* Home */ = {
			isa = PBXGroup;
			children = (
				41CA6E3F266782C900874B19 /* ViewModels */,
				41CA6E40266782C900874B19 /* Models */,
				41CA6E41266782C900874B19 /* Controllers */,
				41CA6E42266782C900874B19 /* Views */,
			);
			path = Home;
			sourceTree = "<group>";
		};
		41CA6E3F266782C900874B19 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
				417D868B266A2E8400DA2444 /* MVHomeViewModel.swift */,
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		41CA6E40266782C900874B19 /* Models */ = {
			isa = PBXGroup;
			children = (
				417D86A6266A3CC900DA2444 /* MVHotVideoModel.swift */,
			);
			path = Models;
			sourceTree = "<group>";
		};
		41CA6E41266782C900874B19 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				2D076757266E08E700E64472 /* MVHomeController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		41CA6E42266782C900874B19 /* Views */ = {
			isa = PBXGroup;
			children = (
				4112DD812669BF8900A5AFD9 /* Banner */,
				4112DD902669C11C00A5AFD9 /* MVBannerCell.swift */,
				4149C8922669FE6F0055CAA2 /* MVTagsCell.swift */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		41CA6E43266782C900874B19 /* Mine */ = {
			isa = PBXGroup;
			children = (
				41CA6E44266782C900874B19 /* ViewModels */,
				41CA6E45266782C900874B19 /* Models */,
				41CA6E46266782C900874B19 /* Controllers */,
				41CA6E47266782C900874B19 /* Views */,
			);
			path = Mine;
			sourceTree = "<group>";
		};
		41CA6E44266782C900874B19 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		41CA6E45266782C900874B19 /* Models */ = {
			isa = PBXGroup;
			children = (
			);
			path = Models;
			sourceTree = "<group>";
		};
		41CA6E46266782C900874B19 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				41CA6E652667887C00874B19 /* MVMineController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		41CA6E47266782C900874B19 /* Views */ = {
			isa = PBXGroup;
			children = (
			);
			path = Views;
			sourceTree = "<group>";
		};
		41CA6E48266782C900874B19 /* Setting */ = {
			isa = PBXGroup;
			children = (
				41CA6E49266782C900874B19 /* ViewModels */,
				41CA6E4A266782C900874B19 /* Models */,
				41CA6E4B266782C900874B19 /* Controllers */,
				41CA6E4C266782C900874B19 /* Views */,
			);
			path = Setting;
			sourceTree = "<group>";
		};
		41CA6E49266782C900874B19 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		41CA6E4A266782C900874B19 /* Models */ = {
			isa = PBXGroup;
			children = (
			);
			path = Models;
			sourceTree = "<group>";
		};
		41CA6E4B266782C900874B19 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				41CA6E6F2667953700874B19 /* MVSettingController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		41CA6E4C266782C900874B19 /* Views */ = {
			isa = PBXGroup;
			children = (
			);
			path = Views;
			sourceTree = "<group>";
		};
		41CA6E4D266782C900874B19 /* Login */ = {
			isa = PBXGroup;
			children = (
				41CA6E4E266782C900874B19 /* ViewModels */,
				41CA6E4F266782C900874B19 /* Models */,
				41CA6E50266782C900874B19 /* Controllers */,
				41CA6E51266782C900874B19 /* Views */,
			);
			path = Login;
			sourceTree = "<group>";
		};
		41CA6E4E266782C900874B19 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
				41CA6F4A26689F4400874B19 /* PQMineViewModel.swift */,
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		41CA6E4F266782C900874B19 /* Models */ = {
			isa = PBXGroup;
			children = (
			);
			path = Models;
			sourceTree = "<group>";
		};
		41CA6E50266782C900874B19 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				4144BE30266F128E00ABBDFA /* PQBandingPhoneController.swift */,
				41CA6F772668B80D00874B19 /* PQPhoneLoginController.swift */,
				41CA6E68266788C000874B19 /* MVLoginController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		41CA6E51266782C900874B19 /* Views */ = {
			isa = PBXGroup;
			children = (
			);
			path = Views;
			sourceTree = "<group>";
		};
		41CA6E52266782C900874B19 /* Base */ = {
			isa = PBXGroup;
			children = (
				2D076754266DF8C000E64472 /* Views */,
				41CA6E53266782C900874B19 /* ViewModels */,
				41CA6E54266782C900874B19 /* Models */,
				41CA6E55266782C900874B19 /* Controllers */,
			);
			path = Base;
			sourceTree = "<group>";
		};
		41CA6E53266782C900874B19 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		41CA6E54266782C900874B19 /* Models */ = {
			isa = PBXGroup;
			children = (
			);
			path = Models;
			sourceTree = "<group>";
		};
		41CA6E55266782C900874B19 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				41CA6E5D266782EC00874B19 /* MVBaseController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		41CA6E57266782C900874B19 /* Player */ = {
			isa = PBXGroup;
			children = (
				41CA6E58266782C900874B19 /* ViewModels */,
				41CA6E59266782C900874B19 /* Models */,
				41CA6E5A266782C900874B19 /* Controllers */,
				41CA6E5B266782C900874B19 /* Views */,
			);
			path = Player;
			sourceTree = "<group>";
		};
		41CA6E58266782C900874B19 /* ViewModels */ = {
			isa = PBXGroup;
			children = (
			);
			path = ViewModels;
			sourceTree = "<group>";
		};
		41CA6E59266782C900874B19 /* Models */ = {
			isa = PBXGroup;
			children = (
			);
			path = Models;
			sourceTree = "<group>";
		};
		41CA6E5A266782C900874B19 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				41CA6E6B266788F700874B19 /* MVPlayerConntroller.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		41CA6E5B266782C900874B19 /* Views */ = {
			isa = PBXGroup;
			children = (
			);
			path = Views;
			sourceTree = "<group>";
		};
		41CA6E5C266782C900874B19 /* Categorys */ = {
			isa = PBXGroup;
			children = (
			);
			path = Categorys;
			sourceTree = "<group>";
		};
		6308E2A5050F07FDED653CB8 /* Pods */ = {
			isa = PBXGroup;
			children = (
				BA41A7982C015630B0037270 /* Pods-MusicVideoPlus.debug.xcconfig */,
				FA6E2A72ECD6573604333FD8 /* Pods-MusicVideoPlus.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		7C94A5F768CA416867AAA23A /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				3FA19A38D145C54301B3CD85 /* Pods_MusicVideoPlus.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		4185322B2665342100DCA2C1 /* MusicVideoPlus */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 418532402665342200DCA2C1 /* Build configuration list for PBXNativeTarget "MusicVideoPlus" */;
			buildPhases = (
				108736738C97D5C21F9CD631 /* [CP] Check Pods Manifest.lock */,
				418532282665342100DCA2C1 /* Sources */,
				418532292665342100DCA2C1 /* Frameworks */,
				4185322A2665342100DCA2C1 /* Resources */,
				3115904EEDD5A7932018A62B /* [CP] Embed Pods Frameworks */,
				841DDB6421B4B6AA592FBDE5 /* [CP] Copy Pods Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = MusicVideoPlus;
			productName = MusicVideoPlus;
			productReference = 4185322C2665342100DCA2C1 /* MusicVideoPlus.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		418532242665342100DCA2C1 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1230;
				LastUpgradeCheck = 1230;
				TargetAttributes = {
					4185322B2665342100DCA2C1 = {
						CreatedOnToolsVersion = 12.3;
					};
				};
			};
			buildConfigurationList = 418532272665342100DCA2C1 /* Build configuration list for PBXProject "MusicVideoPlus" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				"zh-Hans",
			);
			mainGroup = 418532232665342100DCA2C1;
			productRefGroup = 4185322D2665342100DCA2C1 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				4185322B2665342100DCA2C1 /* MusicVideoPlus */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		4185322A2665342100DCA2C1 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				417D86A4266A375D00DA2444 /* PQConfig.plist in Resources */,
				418532392665342200DCA2C1 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		108736738C97D5C21F9CD631 /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-MusicVideoPlus-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
		3115904EEDD5A7932018A62B /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		841DDB6421B4B6AA592FBDE5 /* [CP] Copy Pods Resources */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus-resources-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Copy Pods Resources";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus-resources-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-MusicVideoPlus/Pods-MusicVideoPlus-resources.sh\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		418532282665342100DCA2C1 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4112DD862669BFFA00A5AFD9 /* MVBannerFlowLayout.swift in Sources */,
				41CA6E702667953700874B19 /* MVSettingController.swift in Sources */,
				2D076758266E08E700E64472 /* MVHomeController.swift in Sources */,
				4112DD912669C11C00A5AFD9 /* MVBannerCell.swift in Sources */,
				41CA6E6C266788F700874B19 /* MVPlayerConntroller.swift in Sources */,
				41CA6E5E266782EC00874B19 /* MVBaseController.swift in Sources */,
				417D86A7266A3CC900DA2444 /* MVHotVideoModel.swift in Sources */,
				4149C8932669FE6F0055CAA2 /* MVTagsCell.swift in Sources */,
				4112DD832669BFA600A5AFD9 /* MVBanner.swift in Sources */,
				2D1EC138266B4F4900CBACE4 /* MVThirdApiUtil.swift in Sources */,
				2D076756266DF8E300E64472 /* PQServerProtocalView.swift in Sources */,
				4144BE31266F128E00ABBDFA /* PQBandingPhoneController.swift in Sources */,
				41CA6E69266788C000874B19 /* MVLoginController.swift in Sources */,
				41CA6E662667887C00874B19 /* MVMineController.swift in Sources */,
				41CA6F4B26689F4400874B19 /* PQMineViewModel.swift in Sources */,
				417D868C266A2E8400DA2444 /* MVHomeViewModel.swift in Sources */,
				41CA6F782668B80D00874B19 /* PQPhoneLoginController.swift in Sources */,
				418532302665342100DCA2C1 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		4185323E2665342200DCA2C1 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		4185323F2665342200DCA2C1 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		418532412665342200DCA2C1 /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = BA41A7982C015630B0037270 /* Pods-MusicVideoPlus.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = LaunchImage;
				CODE_SIGN_ENTITLEMENTS = MusicVideoPlus/MusicVideoPlus.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20;
				DEVELOPMENT_TEAM = UH52C8A7SN;
				ENABLE_BITCODE = NO;
				INFOPLIST_FILE = MusicVideoPlus/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0.2;
				PRODUCT_BUNDLE_IDENTIFIER = com.piaoquan.shanyin;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OBJC_BRIDGING_HEADER = "MusicVideoPlus/MusicVideoPlus-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		418532422665342200DCA2C1 /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = FA6E2A72ECD6573604333FD8 /* Pods-MusicVideoPlus.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				ASSETCATALOG_COMPILER_LAUNCHIMAGE_NAME = LaunchImage;
				CODE_SIGN_ENTITLEMENTS = MusicVideoPlus/MusicVideoPlus.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 20;
				DEVELOPMENT_TEAM = UH52C8A7SN;
				ENABLE_BITCODE = NO;
				INFOPLIST_FILE = MusicVideoPlus/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 10.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0.2;
				PRODUCT_BUNDLE_IDENTIFIER = com.piaoquan.shanyin;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OBJC_BRIDGING_HEADER = "MusicVideoPlus/MusicVideoPlus-Bridging-Header.h";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		418532272665342100DCA2C1 /* Build configuration list for PBXProject "MusicVideoPlus" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4185323E2665342200DCA2C1 /* Debug */,
				4185323F2665342200DCA2C1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		418532402665342200DCA2C1 /* Build configuration list for PBXNativeTarget "MusicVideoPlus" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				418532412665342200DCA2C1 /* Debug */,
				418532422665342200DCA2C1 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 418532242665342100DCA2C1 /* Project object */;
}
